#include <stdio.h>
#include <system.h>
#include <inttypes.h>

#include "system/binding.h"
#include "system/signal_processing.h"

int main()
{
    uint32_t bindings[ TASK_COUNT ] = {
        BINDING_SW,
        BINDING_SW,
        BINDING_SW,
        BINDING_SW,
        BINDING_HW,
        BINDING_SW,
        BINDING_SW
    };

    SignalProcessing system;
    signal_processing_init( & system, bindings );
    signal_processing_run( & system );
    signal_processing_print_results( & system );

    return 0;
}

